﻿using GraphicsManager.Objects.Core;
using OpenTK.Mathematics;
using OpenTK.Windowing.Common;
using OpenTK.Windowing.Common.Input;

namespace GraphicsManager.Interfaces;

public interface IParent
{
	public Vector2 LocationAsFloat { get; }
	public ControlList Controls { get; }
	public IParent? Parent { get; }
	public Vector2i Size { get; }
	public void ParentResize(ResizeEventArgs e);
	public float IntToWindow(float p, bool Y = false);
	public void TryDraw();
	public void ReportSizeUpdate(IRenderObject Control);
	public Vector3i Position { get; }
	public MouseCursor HoverMouse { get; set; }
}
